<?php
// +-----------------------------------------------------------------------+
// | Photos from one year ago for Piwigo by TEMMII                         |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2020 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+
if (!defined('PHPWG_ROOT_PATH'))
    die('Hacking attempt!');
global $template, $conf, $user;

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

global $conf, $page;
$confpfoya = safe_unserialize($conf['pfoya']);

$template->assign(
  array(
	'PFOYA_POSITION' => $confpfoya['pfoya_position'],
	'PFOYA_DATE' => $confpfoya['pfoya_dateb'],
	'PFOYA_DATEMAX' => $confpfoya['pfoya_datemax'],
	'PFOYA_NIP' => $confpfoya['pfoya_nip'],
	'PFOYA_MENU' => $confpfoya['pfoya_menu'],
	'PFOYA_SHOW' => $confpfoya['pfoya_show'],
	'PFOYA_SHOWPS' => $confpfoya['pfoya_showps'],
  )
);

$PFOYA3T = array(
  l10n('Available date'),
  l10n('Creation date'),
);

$PFOYA3 = array(
  'date_available',
  'date_creation',
);

$template->assign('PFOYA3', $PFOYA3);
$template->assign('PFOYA3T', $PFOYA3T);

$PFOYA2T = array(
  l10n('none'),
  l10n('link Specials/Explore menu'),
  l10n('block menu'),
);
$PFOYA2 = array(
  '-1',
  'link',
  'block',
); 

$template->assign('pfoya2', $PFOYA2);
$template->assign('pfoya2T', $PFOYA2T);

$PFOYA4T = array(
  l10n('yes'),
  l10n('no'),
);
$PFOYA4 = array(
  '1',
  '0',
); 

$template->assign('pfoya4', $PFOYA4);
$template->assign('pfoya4T', $PFOYA4T);


if (isset($_POST['submitpfoya'])){
  if (is_numeric($_POST['submitpfoyadatemax'])){
    $confpfoya['pfoya_datemax']=$_POST['submitpfoyadatemax'];
  }else{
	$_SESSION['page_errors'] = array(l10n('number years must be a number'));
  }
  $confpfoya['pfoya_dateb']=$_POST['submitpfoyadateb'];
  $confpfoya['pfoya_menu']=$_POST['submitpfoyamenu'];
  $confpfoya['pfoya_show']=$_POST['submitpfoyashow'];
  $confpfoya['pfoya_showps']=$_POST['submitpfoyashowps'];
  if (is_numeric($_POST['submitpfoyaposition'])){
    $confpfoya['pfoya_position']=$_POST['submitpfoyaposition'];
  }else{
	$_SESSION['page_errors'] = array(l10n('position must be a number'));
  }
  if (is_numeric($_POST['submitpfoyanip'])){
    $confpfoya['pfoya_nip']=$_POST['submitpfoyanip'];
  }else{
	$_SESSION['page_errors'] = array(l10n('number photos must be a number'));
  }
  conf_update_param('pfoya', $confpfoya, true);
  $_SESSION['page_infos'] = array(l10n('Information data registered in database'));
  redirect(PFOYA_ADMIN);
}
if (isset($_POST['resetpfoya'])){
  redirect(PFOYA_ADMIN);
}

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/admin.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT','plugin_admin_content');
?>